# grinminer.net 

## coming 2025 and seeking beta testers


### ties to community 

Home to Stratum for a Grin community miner that is the only permanent block producing testnet node and mining pool to support Grin development. 


### purpose

Offering services, applications, automation, and support to help Grin miner's with tooling to enhance mining to a non-Public solo Stratum pool. 


### products 

Building platform independent web interfaces using Rust web apps to send and retrieve stats and status from Rust daemons running on Grin nodes/pools. 


### cypherpunk hosting 

Available Q1 2025 in addition to these tools we will rent private HA outbound nodes and solo pools hosted by our data centers featuring symmetrical dedicated fiber lines and failover. 

We will only charge a minuscule monthly cost to cover support by a 14 year veteran of self-hosting and running cost-effective IT departments for three local small businesses with no data breaches and zero outages. 

Inquire with Transatoshi about hosting for any other Grin related projects. 


### what we DON'T do:

-Promise any earnings or performance boost regarding your ability to mine blocks

-Force a contract or take PII to get a HA solo pool VPS rented 

-Charge a fee on 60ツ blocks rewards you earn 

-Fail to authenticate and encrypt miner traffic and stats like 99% of pools

-Steal blocks like some sketchy pools

-Use any third party hosting or VPS service secret backdoor

-Yield to any authority over our practices 

-Have profit as a goal

-Seek outside funding until it provably benefits Grin's community UX experience 


## FOSS principled

FOSS under MIT license so you can compile and use our tools for your own solo pool at home. We only charge a fee for hosting and support. 

### increased hashing and stability of the G1 mini

Overclocked version of the G1 mini v5.2.4 SD firmware is coming, and potentially a new updated openwrt firmware for the G1 mini with cgminer and stratum that isn't a buggy mess with a broken package manager.

### dates

06/30/24 Day one of testnet block production 

08/01/24 
Begin beta testing period + start uptime measurement

01/01/25
Grinminer.net goes in to production at primary site

06/01/25
Planned launch of second data center 
